### Method

# Panel MenuManager add_resource

since: 1.4

#### Declaration [src]

    guint
    panel_menu_manager_add_resource (
      PanelMenuManager* self,
      const char* resource,
      GError** error
    )

#### Description

No description available.

Available since: 1.4

#### Parameters

`resource`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `guint`

The merge id.